#ifndef __CALIFE_DTM_GDHE__
#define __CALIFE_DTM_GDHE__

#include "gdhe/gdhe_terrain.h"

#ifdef __cplusplus
extern "C" {
#endif

#define ERR_DTM_ALLOC_GDHE_MNT			DTM_ErrNum(dtm_Id, 5)
#define ERR_DTM_GDHE_POINTS_ALLOUES		DTM_ErrNum(dtm_Id, 6)

int dtm_CheckDtm2GdheMntParams ( DTM* dtm, double zScale, double zOffset );
int dtm_checkGdheInitParams ( double scale_x, double scale_y, double scale_z, int nb_x, int nb_y, int stockage );
GDHE_MNT* dtm_copyGdheMnt ( GDHE_MNT* gdhe_dtm );
GDHE_MNT* dtm_createGdheMnt ( void );
int dtm_dtm2GdheMnt ( DTM* dtm, double zScale, double zOffset, int luminance, GDHE_MNT* gdhe_dtm );
void dtm_destroyGdheMnt ( GDHE_MNT* gdhe_dtm );
DTM* dtm_gdheMnt2Dtm ( GDHE_MNT* gdhe_dtm );
int dtm_infoGdheMnt ( GDHE_MNT* gdhe_dtm );
int dtm_infoGdheMntCell ( GDHE_MNT* gdhe_dtm, int i, int j );
int dtm_initGdheMnt ( GDHE_MNT* gdhe_dtm, double scale_x, double scale_y, double scale_z, int nbLines, int nbCols, double x_origine, double y_origine, double z_origine, int stockage );
int dtm_lastDtm2GdheMnt ( DTM* dtm, double zScale, double zOffset, int luminance, GDHE_MNT* gdhe_dtm );
GDHE_MNT* dtm_readGdheMnt ( char* fileName );
int dtm_writeGdheMnt ( GDHE_MNT* gdhe_dtm, FILE* fichier );

#ifdef __cplusplus
}
#endif

#endif

